Bug 118549 - CRASH: Pressing Enter with a color selected in the ColorTabPage
Summary: CRASH: Pressing Enter with a color selected in the ColorTabPage
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
6.1.0.0.beta2+
Hardware: All Linux (All)
: highest critical
Assignee: Caolán McNamara
URL:
Whiteboard: target:6.2.0 target:6.1.0.2
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2018-07-05 12:27 UTC by Xisco Faulí
Modified: 2018-07-17 17:49 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
gdbtrace from Eike (38.59 KB, text/plain)
2018-07-05 12:29 UTC, Xisco Faulí
Details
coredump (6.15 MB, application/x-xz)
2018-07-05 12:43 UTC, Xavier Van Wijmeersch
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2018-07-05 12:27:57 UTC
Bug based on https://bugs.documentfoundation.org/show_bug.cgi?id=105225#c60 - Thanks Eike for finding this!

Steps to reproduce:
1. Open Writer
2. Format - Page
3. Area - Color and select a color
4. Press ENTER

-> Crash

Reproduced in

Version: 6.2.0.0.alpha0+
Build ID: 0e83efbccc180c957f77291fc0fdc6dd74eae0f4
CPU threads: 4; OS: Linux 4.13; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group threaded
Comment 1 Xisco Faulí 2018-07-05 12:29:36 UTC
Created attachment 143319 [details]
gdbtrace from Eike
Comment 2 Xisco Faulí 2018-07-05 12:31:17 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=1f8d45c276760a173c3e30c78b8b740414a5b05f

author	Caolán McNamara <caolanm@redhat.com>	2018-06-18 21:30:10 +0100
committer	Caolán McNamara <caolanm@redhat.com>	2018-06-20 12:41:53 +0200
commit	1f8d45c276760a173c3e30c78b8b740414a5b05f (patch)
tree	4e22f39b8515a1839c9dc64146725ca02ec9b6f9
parent	6e5e83025c948b699bb65839ef810a45a98ba014 (diff)
weld SvxColorTabPage

Bisected with: bibisect-linux64-6.2

Adding Cc: to Caolán McNamara
Comment 3 Xavier Van Wijmeersch 2018-07-05 12:43:23 UTC
Created attachment 143320 [details]
coredump

confirm with

Version: 6.1.0.1.0+
Build ID: 7d0426a26f59ecf19a5e58b1554af884ddc56948
CPU threads: 8; OS: Linux 4.14; UI render: default; VCL: kde4; 
Locale: nl-BE (en_US.UTF-8); Calc: group threaded
Comment 4 Xisco Faulí 2018-07-05 16:59:14 UTC
Not reproducible on win

Version: 6.2.0.0.alpha0+
Build ID: 54d76f5203aa5f3ef0e5afdca9d131dadeb3794e
CPU threads: 1; OS: Windows 6.1; UI render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2018-07-05_00:58:40
Locale: es-ES (es_ES); Calc: group threaded
Comment 5 Commit Notification 2018-07-16 15:24:12 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f543b6a0ac6cf30922c1a1ae9bfce1d605f1d4f1

tdf#118549 crash on dialog teardown

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Caolán McNamara 2018-07-16 15:46:27 UTC
backport to 6-1 in gerrit
Comment 7 Commit Notification 2018-07-17 09:10:36 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=59304815cc70544de4a3227f070895143f0276a4&h=libreoffice-6-1

tdf#118549 crash on dialog teardown

It will be available in 6.1.0.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Xisco Faulí 2018-07-17 17:49:56 UTC
Verified in

Version: 6.2.0.0.alpha0+
Build ID: f543b6a0ac6cf30922c1a1ae9bfce1d605f1d4f1
CPU threads: 4; OS: Linux 4.13; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group threaded

@Caolán, Thanks for fixing this!!